GET

List Access Token Claims

List all of the custom claims that get returned in Access Tokens generated by the Authorization Server.

Resource URL

https://<subdomain>.onelogin.com/api/2/api_authorizations/:id/claims

Header Parameters

Authorization

required

string

Set to bearer <access_token>.

Set <access_token> to the access token you generated using the Generate Token API.

The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: Manage All.

Resource Parameters

id

required

integer

The id of the authorization server.

Sample Responses

[
  {
      "attributes_transformations": null,
      "skip_if_blank": null,
      "user_attribute_mappings": "email",
      "provisioned_entitlements": null,
      "default_values": null,
      "safe_entitlements_enabled": null,
      "label": "email_address",
      "name": "email_address",
      "user_attribute_macros": null,
      "values": null,
      "id": 320780
  }
  ...
]

Typically, this error means that your access token value is invalid.

{
    "message": "Unauthorized",
    "statusCode": 401,
    "name": "UnauthorizedError"
}

Invalid API Authorization Server ID

{
    "message": "The resource with the given id could not be found",
    "statusCode": 404,
    "name": "NotFoundError"
}

Response Elements

idThe unique ID of the claim.Integer
labelThe UI label for the claims.String
user_attribute_mappingsA user attribute to map values from.String
user_attribute_macrosWhen user_attribute_mappings is set to _macro_ this macro will be used to assign the claims value.String
attributes_transformationsThe type of transformation to perform on multi valued attributes.String
skip_if_blankNot used.Boolean
valuesRelates to Rules/Entitlements. Not supported yet.Array
default_valuesRelates to Rules/Entitlements. Not supported yet.String
provisioned_entitlementsRelates to Rules/Entitlements. Not supported yet.Boolean

Postman Collection

Run In Postman

Sample Code

cURL

Replace sample values indicated by < > with your actual values.

List Access Token Claims

curl 'https://<subdomain>.onelogin.com/api/2/api_authorizations/:id/claims' \
-X GET \
-H "Authorization: bearer <access_token>"